#include <ESP8266WebServer.h>
#include <SoftwareSerial.h>

const char* ssid = "Galaxy A42 5G6D80";
const char* password = "bygq7028";
char message[150];
char markdown[200] = "<!DOCTYPE html><meta http-equiv=\"refresh\" content=\"1\"><html><body>$ ";
char head[] = "<!DOCTYPE html><meta http-equiv=\"refresh\" content=\"1\"><html><body>$ ";

ESP8266WebServer server(80);
SoftwareSerial mySerial(D5, D8); // RX, TX

void setupServer()
{
  server.on("/", htmlIndex);

  server.begin();
}

void htmlIndex()
{
  int replyCode = 200;

  String contentType = "text/html";

  memcpy(markdown + sizeof(head) - 1, message, sizeof(message));

  server.send(replyCode, contentType, markdown);
}

void connectToWiFi()
{
  WiFi.mode(WIFI_STA);

  WiFi.begin(ssid, password);

  while (WiFi.status() != WL_CONNECTED)
    delay(500);
}

void setup()
{
  mySerial.begin(4800);

  delay(1000);

  connectToWiFi();

  setupServer();
}

void loop()
{
  mySerial.readBytes(message, sizeof(message));

  server.handleClient();
}
